<?php

namespace Drupal\Tests\wodby\Functional;

use Drupal\Tests\BrowserTestBase;
use Drush\TestTraits\DrushTestTrait;
use GuzzleHttp\Client;
use GuzzleHttp\Handler\MockHandler;
use GuzzleHttp\HandlerStack;
use GuzzleHttp\Psr7\Response;

/**
 * Class to test Drush commands related to the Wodby module.
 */
class DrushCommandsTest extends BrowserTestBase {

  use DrushTestTrait;

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * Modules to install.
   *
   * @var array
   */
  public static $modules = [
    'wodby',
    'wodby_test',
  ];

  protected $mockHandler;

  protected function setUp(): void {
    parent::setUp();

    putenv('WODBY_API_KEY=ABC');
    $_ENV['WODBY_API_KEY'] = 'ABC';
  }

  /**
   * Tests the 'wodby:alias-download' Drush command.
   *
   * @return void
   */
  public function testAliasDownload() {
    $this->drush('wodby:alias-download', [], ['skip-file-save' => TRUE]);
  }

  /**
   * Tests the 'wodby:deploy' Drush command.
   *
   * @return void
   */
  public function testDeploy() {
    $this->drush('wodby:deploy');
  }

  /**
   * Tests the 'wodby:quick-deploy' Drush command.
   *
   * @return void
   */
  public function testQuickDeploy() {
    $this->drush('wodby:quick-deploy');
  }

  /**
   * Tests the 'wodby:set-app-uuid' Drush command.
   *
   * @return void
   */
  public function testSetAppUuid() {
    $this->drush('wodby:set-app-uuid', ['abc']);
  }

}
